MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029009Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-17 11:272017-09-29 16:29
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029009: Configuration - provide a way to get visual dif of SVG images
DescriptionWhen working with OCCT Git repository, the useful feature provided by many clients is to be able to get side-by-side diffs for different files, including PNG images. Alas, TortoiseGit (the most used client) does not support visual diff for SVG files -- they are diffed as text.

It is proposed to provide a tool allowing to set TortoiseGit to show diffs for SVG files in visual way.
Steps To ReproduceOpen Git log in TortoiseGit and double click, find any commit containing change in .svg file, and click on such file to see the diff
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029000closedabv Update documentation of Boolean operations according to the new Error/Warning reporting system 
related to 0029011closedbugmaster Draw Harness - simplify diffimage command syntax 

-  Notes
(0069508)
git (administrator)
2017-08-17 11:50

Branch CR29009 has been created by abv.

SHA-1: 64e28d2e03bb870b524288e1eeaf044a7a8c44c0


Detailed log of new commits:

Author: abv
Date: Thu Aug 17 11:50:31 2017 +0300

    0029009: Configuration - provide a way to get visual dif of SVG images
    
    New helper script svgdiff.bat is added in adm folder.
    It can be used for enabling visual diff for SVG images in TortouseGit; see Git guide for details.
(0069510)
abv (manager)
2017-08-17 11:52

I have pushed branch CR29009 providing script that can be used to visually compare SVG files in TortoiseGit; please review
(0069521)
emv (developer)
2017-08-17 13:27

It works great! Reviewed, please integrate.
(0069527)
git (administrator)
2017-08-17 15:05

Branch CR29009 has been updated by abv.

SHA-1: 042e22861b651501e79108f6081be6ca085b3988


Detailed log of new commits:

Author: abv
Date: Thu Aug 17 15:05:13 2017 +0300

    Added default install dirs of Doxygen and Inkskape on Windows to search path so that gendoc can find them even if they are not in PATH

(0069660)
git (administrator)
2017-08-18 17:01

Branch CR29009 has been deleted by kgv.

SHA-1: 042e22861b651501e79108f6081be6ca085b3988

- Related Changesets
occt: master efe9d997
Timestamp: 2017-08-17 08:50:31
Author: abv
Committer: abv
Details ] Diff ]
0029009: Configuration - provide a way to get visual dif of SVG images

New helper script svgdiff.bat is added in adm folder.
It can be used for enabling visual diff for SVG images in TortouseGit; see Git guide for details.
add - adm/svgdiff.bat Diff ] File ]
mod - dox/dev_guides/git_guide/git_guide.md Diff ] File ]
add - dox/dev_guides/git_guide/images/OCCT_GitGuide_V2_svgdiff.png Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-17 11:27 abv New Issue
2017-08-17 11:27 abv Assigned To => bugmaster
2017-08-17 11:36 abv Relationship added related to 0029000
2017-08-17 11:50 git Note Added: 0069508
2017-08-17 11:52 abv Note Added: 0069510
2017-08-17 11:52 abv Assigned To bugmaster => emv
2017-08-17 11:52 abv Status new => resolved
2017-08-17 11:52 abv Steps to Reproduce Updated View Revisions
2017-08-17 13:27 emv Note Added: 0069521
2017-08-17 13:27 emv Assigned To emv => bugmaster
2017-08-17 13:27 emv Status resolved => reviewed
2017-08-17 13:32 bugmaster Status reviewed => tested
2017-08-17 15:05 git Note Added: 0069527
2017-08-17 18:19 kgv Relationship added related to 0029011
2017-08-18 12:53 abv Changeset attached => occt master efe9d997
2017-08-18 12:53 abv Assigned To bugmaster => abv
2017-08-18 12:53 abv Status tested => verified
2017-08-18 12:53 abv Resolution open => fixed
2017-08-18 13:09 bugmaster Test case number => Not required
2017-08-18 17:01 git Note Added: 0069660
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker